﻿/*!
 * jalada Extensions for Bootstrap v3.3.7 
 */

function getPageName(str) {
    var start = str.lastIndexOf("/") + 1;
    var end = str.indexOf(".", start);
    return str.slice(start, end);
}

function getPageURL(str) {
    var url = str.replace("../", "");
    if (url.includes("pgs/") != true) {
        url = "pgs/" + url;
    }
    return url;
}

function addPageContent(path, tag) {
    if (!tag.startsWith("#", 0)) {
        tag = "#" + tag;
    }

    jQuery.ajax({
        url: path, dataType: "html", context: document.body
    }).done(function (responseHtml) {
        $(tag).html(responseHtml);
        loadSubContent(tag);
    });
}

function makeDropDown(anchor) {
    var href = anchor.attr("href");
    if (href != null && !href.includes("mailto")) {
        var url = getPageURL(href);
        var tag = getPageName(url);
        anchor.attr("data-toggle", "collapse");
        anchor.attr("href", "#" + tag);
        //anchor.attr("type", "button");
        //anchor.attr("class", "btn btn-info");
        anchor.after("<div id=\"" + tag + "\" class=\"collapse\"> </div>");
        jQuery.ajax({
            url: url, dataType: "html", context: document.body
        }).done(function (responseHtml) {
            $("#" + tag).html(responseHtml);
        });
    }

}
function loadSubContent(tag) {
    if (!tag.startsWith("#", 0)) {
        tag = "#" + tag;
    }

    var root = $(tag);
    var ul = root.find("ul").first();
    var search = tag + " ul li";
    $(search).each(function (index, element) {
        makeDropDown($(this).find("a").first());
    });
}

function appendContent(path) {
    var url = getPageURL(path);
    var tag = getPageName(url);
    $("#help_content").before("<div id=\"" + tag + "\" class=\"container-fluid\"></div>");
    addPageContent(url, tag);
}

function appendMenuEntry(name, path) {
    var url = getPageURL(path);
    var tag = getPageName(url);
    $("#help_menu").append("<li><a href=\"#" + tag + "\">" + name + "</a></li>");
}

function extractMenu(tag) {
    $(tag).find("a").each(function (index, element) {
        var name = $(this).text();
        var href = $(this).attr("href");
        appendMenuEntry(name, href);
        appendContent(href);
    });
}

function loadMenuPage(url) {
    var tag = "#help_temporary";
    jQuery.ajax({
        url: url, dataType: "html", context: document.body
    }).done(function (responseHtml) {
        $(tag).html(responseHtml);
        extractMenu(tag);
        $("#help_content").remove();
        $("#help_temporary").empty();
    });
}

function initHelp()
{
    var tag = "help_home";
    var url = "home.html";
    $("#help_content").before("<div id=\"" + tag + "\" class=\"container-fluid titleBackground\"></div>");

    jQuery.ajax({
        url: url, dataType: "html", context: document.body
    }).done(function (responseHtml) {
        $("#" + tag).html(responseHtml);
        $("#" + tag).height($(document).width() / 4);
        $("#nav_title").text($("h1").first().text().replace("Just Translate", "").trim());
        $("h1").first().css("text-shadow", "2px 2px 4px #000000");
        $("h1").first().css("color", "white");
        $("h1").first().css("font-size", "24px");
        $("footer").html($("#legal-notice").html());
        $("#legal-notice").remove();
        $("#icon").remove();
    });
}

function initFirstSteps()
{
    var url = "intro.html";
        
    jQuery.ajax({
        url: url, dataType: "html", context: document.body
    }).done(function (responseHtml) {
        $("#help_temporary").html(responseHtml);
        $("br").remove();
        $("td").first().find("a").each(function (index, element) {
            var name = $(this).text();
            var href = $(this).attr("href").slice(1)+".html";
            appendMenuEntry(name, href);
        });
        $(document).ready(function () {
            $("td").last().find("h1").each(function (index, element) {
                var title = $("h1");
                title.addClass("intro");
                title.height($(document).width() / 2);
                $("#nav_title").text(title.text().replace("Just Translate", "").trim());
                $("#help_content").before(title.clone());
                $("#help_content").before("<div id=\"intro_home\" class=\"container-fluid\"></div>");
                var array = $(this).nextUntil("a").map(function () {
                    return $(this).clone();
                });
                array.each(function (index, element) {
                    if ($(this) != undefined) {
                        $("#intro_home").append($(this));
                    }
                });                       
            });
            $("td").last().find("h2").each(function (index, element) {
                var tag = $(this).prev("a").attr("name");
                if (tag === undefined)
                {
                    tag = $(this).prev().find("a").attr("name");
                }
                if (tag != undefined) {
                    $("#help_content").before("<div id=\"" + tag + "\" class=\"container-fluid\"></div>");

                            
                    var array = $(this).nextUntil("h2").andSelf().map(function() {
                        return $(this).clone();
                    });
                    array.each(function (index, element) {
                        if ($(this) != undefined) {
                            $("#" + tag).append($(this));
                        }
                    });
                            
                }
            });
            $("#help_temporary").remove();
            $("a[name]").remove();
            $('p').filter(function () { return $.trim(this.innerHTML) == "" }).remove();
            $("footer").append($(".copyrightText").first());
            $("footer").append("<p><br><br></p>");
            $("#help_content").remove();
        });
    });

}